# Created by pyp2rpm-3.3.1
%global pypi_name fontmake

Name:           python-%{pypi_name}
Version:        2.0.7
Release:        %mkrel 2
Summary:        Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/googlei18n/fontmake
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(attrs) >= 19
BuildRequires:  python3dist(booleanoperations) >= 0.9.0
BuildRequires:  python3dist(cu2qu) >= 1.6.6
BuildRequires:  python3dist(fontmath) >= 0.5.2
BuildRequires:  python3dist(fonttools) >= 4.2.0
BuildRequires:  python3dist(glyphslib) >= 5.1.0
BuildRequires:  python3dist(mutatormath) >= 2.1.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(skia-pathops) >= 0.2.0
BuildRequires:  python3dist(ufo2ft) >= 2.11.0
BuildRequires:  python3dist(ufolib2) >= 0.5.1

%description
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       fontmake = %{version}-%{release}

Requires:       python3dist(attrs) >= 19
Requires:       python3dist(booleanoperations) >= 0.9.0
Requires:       python3dist(cu2qu) >= 1.6.6
Requires:       python3dist(fontmath) >= 0.5.2
Requires:       python3dist(fonttools) >= 4.2.0
Requires:       python3dist(glyphslib) >= 5.1.0
Requires:       python3dist(mutatormath) >= 2.1.2
Requires:       python3dist(setuptools)
Requires:       python3dist(skia-pathops) >= 0.2.0
Requires:       python3dist(ufo2ft) >= 2.11.0
Requires:       python3dist(ufolib2) >= 0.5.1

%description -n python3-%{pypi_name}
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf Lib/*.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/fontmake
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 2.0.7-2.mga8
+ Revision: 1541962
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.0.7-1.mga8
+ Revision: 1475761
- new version 2.0.7

* Wed Oct 16 2019 daviddavid <daviddavid> 1.10.1-2.mga8
+ Revision: 1453947
- rebuild for python3.8

* Mon Aug 19 2019 wally <wally> 1.10.1-1.mga8
+ Revision: 1430108
- new version 1.10.1

* Sat Jan 12 2019 wally <wally> 1.8.0-1.mga7
+ Revision: 1355470
- new version 1.8.0
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 1.4.0-3.mga7
+ Revision: 1355427
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1288907
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 1.4.0-1.mga7
+ Revision: 1226585
- imported package python-fontmake

